Bug 14457 - [laptop - text install] No Xconfiguration done
Summary: [laptop - text install] No Xconfiguration done
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard: Winston rc1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-22 09:48 UTC by Hans de Goede
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 19:49:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2000-07-22 09:48:23 UTC
Doing a textinstall on my laptop (chaplett 5032 / p133) seems to skip the
Xconfiguration.

After creating the bootdisk the HD rattles a bit and then the setup is
done.

This is very likely related to Xconfigurator crashing also when run after
the install as root.

I'll add a comment with the bugzilla id of that bug once entered.

Also kudzu has serious trouble on this machine see bug 14455 and bug 14456

Comment 1 Hans de Goede 2000-07-22 09:53:45 UTC
Also see Xconfigurator segfaults: bug 14458


Comment 2 Hans de Goede 2000-07-24 22:02:29 UTC
The Xconfigurator segfaults bug (bug 14458) has been fixed, by adding the option
-noddcprobe, if the installer now would be updated to pass this to Xconfigurator
when it is run with the noprobe option, then I concider this fixed.


Comment 3 Michael Fulbright 2000-07-27 18:50:33 UTC
Is this fixed in beta 5?

Comment 4 Hans de Goede 2000-07-27 18:53:15 UTC
I'm currently checking, the laptop only does nfs install, and this takes about 3
hours so I'll lett you know then.


Comment 5 Hans de Goede 2000-07-27 21:01:52 UTC
Nope, I've started the installer with:
linux noprobe

On the syslinux prompt, I guess this still work or has this option been removed
from the later beta's?

Anyways with this option the Xconfiguration is still skipped.


Comment 6 Glen Foster 2000-07-30 18:49:24 UTC
This defect is considered MUST-FIX for Winston Release-Candidate #1

Comment 7 Michael Fulbright 2000-08-01 18:19:27 UTC
This cannot be fixed at this time - the installer should allow you to skip X
configuration at install time and
then you can run Xconfigurator with the special command line option once your
system is installed.

Comment 8 Hans de Goede 2000-08-05 18:41:10 UTC
First of all, the screen goes completly black, so this is a cannot complete
install bug, not everyone has a spare monitor handy to plug in, and other
systems are bound to be bitten by this too.

The help screens on the bootdisks clearly state that you can use expert mode to
install on buggy hardware, and that in this case no autoprobing will be done.

I would expect noprobe todo a normal install, without any probing as in expert
mode. That is what I plea for, and what afaik 6.1 used todo.

But letts say I use expert mode, then I presume kudzu won't do dcc probing and
Xconfigurator will be run with --nodccprobe? If not I concider that a bug, and I
strongly urge for a noprobe option doing the noprobing effect of expert without
all the other questions I don't want to answer and have no need for. If this is
not feasible for this release, then fix this in expert mode, and defer the
noprobe RFE.


Comment 9 Michael Fulbright 2000-08-08 19:49:44 UTC
I believe we have corrected the display going blank problem in your other bug
report, so this one should be
fixed as well.


Note You need to log in before you can comment on or make changes to this bug.